<?php
session_start();

$db = new PDO('sqlite:chinook.db');

$stmt = $db->prepare('
    SELECT artists.*, COUNT(*) as TrackCount
    FROM artists, albums, tracks
    WHERE artists.artistid = albums.artistid
    AND albums.albumid = tracks.albumid
    GROUP BY artists.artistid
    ORDER BY Name
');
$stmt->execute([]);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);

$library = array();

foreach ($data as $value) {
    if (empty($library[$value['Name'][0]])) {
        $library[$value['Name'][0]] = array();
    }

    $library[$value['Name'][0]][] = $value;
}
?>
<!doctype html>
<html>
    <head>
        <title>Chinook Interpreten</title>
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
        <nav><?php include('menu.inc.php'); ?></nav>
        <main>
            <h2>Chinook Interpreten</h2>
            <?php if (isset($_SESSION['user'])) { ?>
                <?php foreach ($library as $letter => $data) { ?>
                    <a href="#letter_<?= $letter?>"><?= $letter ?></a>
                <?php } ?>
                <dl>
                    <?php foreach ($library as $letter => $data) { ?>
                        <dt><h3><a id="letter_<?= $letter ?>"><?= $letter ?></a></h3></dt>
                        <?php foreach ($data as $value) { ?>
                            <dd><a href="tracks.php?artist=<?= urlencode($value['Name']) ?>"><?= $value['Name'] ?></a> (<?= $value['TrackCount'] ?> Tracks)</td>
                        <?php } ?>
                    <?php } ?>
                </dl>
            <?php } else { ?>
                Bitte <a href="login.php">anmelden</a>!
            <?php } ?>
        </main>
    </body>
</html>