<?php
session_start();

$db = new PDO('sqlite:chinook.db');

$stmt = $db->prepare('
    SELECT customerID AS id, lastName || ", " || firstName AS name, address AS address
    FROM customers
    ORDER BY name ASC
');
$stmt->execute([]);
$customers = $stmt->fetchAll(PDO::FETCH_ASSOC);

$customerID = -1;

if (isset($_GET['customerID'])) {
    $customerID = $_GET['customerID'];
}

$stmt = $db->prepare('
    SELECT t.name AS  track, al.title AS album, ar.name AS artist, DATE(i.invoicedate) AS date
    FROM invoices i, invoice_items ii, tracks t, albums al, artists ar
    WHERE i.invoiceid = ii.invoiceid
    AND i.customerid = ?
    AND ii.trackid = t.trackid
    AND t.albumid = al.albumid
    AND al.artistid = ar.artistid
    ORDER BY artist ASC, album ASC, track ASC
');
$stmt->execute([$customerID]);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);
?>
<!doctype html>
<html>
    <head>
        <title>Chinook Interpreten</title>
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
        <nav><?php include('menu.inc.php'); ?></nav>
        <main>
            <h2>Kundenbibliothek</h2>

            <?php if (isset($_SESSION['user'])) { ?>

                <form action="<?= $_SERVER['PHP_SELF']; ?>" method="get">
                    <label>
                        Kunden auswählen:
                        <select name="customerID" onchange="this.form.submit()" autofocus>
                            <option value="-1" <?= $customerID == -1 ? 'selected' : '' ?>>&raquo; bitte auswählen &laquo;</option>
                            <?php foreach ($customers as $value) { ?>
                                <option value="<?= $value['id'] ?>" <?= $customerID == $value['id'] ? 'selected' : '' ?>><?= $value['name'] ?> - <?= $value['address'] ?></option>
                            <?php } ?>
                        </select>
                    </label>
                </form>

                <p>&nbsp;</p>

                <table>
                    <tr>
                        <th>Interpret</th>
                        <th>Album</th>
                        <th>Lied</th>
                        <th>Kaufdatum</th>
                    </tr>
                    <?php foreach ($data as $value) { ?>
                        <tr>
                            <td><a href="tracks.php?artist=<?= urlencode($value['artist']) ?>"><?= $value['artist'] ?></a></td>
                            <td><a href="tracks.php?album=<?= urlencode($value['album']) ?>"><?= $value['album'] ?></a></td>
                            <td><?= $value['track'] ?></td>
                            <td><?= $value['date'] ?></td>
                        </tr>
                    <?php } ?>
                </table>
            <?php } else { ?>
                Bitte <a href="login.php">anmelden</a>!
            <?php } ?>
        </main>
    </body>
</html>