<?php
session_start();

$db = new PDO('sqlite:chinook.db');

$stmt = $db->prepare('
    SELECT
        customers.*,
        employees.LastName || ", " || employees.FirstName AS SupportRep,        
        COUNT(*) as invoiceCount,
        SUM(total) as invoiceTotal
    FROM customers, employees, invoices
    WHERE customers.SupportRepID = employees.employeeid
    AND invoices.customerid = customers.customerid
    GROUP BY customers.customerID
    ORDER BY lastName ASC, firstName ASC
');
if (!$stmt) die(print_r($db->errorInfo(), true));
$stmt->execute([]);
$data = $stmt->fetchAll(PDO::FETCH_ASSOC);

?>
<!doctype html>
<html>
    <head>
        <title>Chinook Mediendatenbank</title>
        <link rel="stylesheet" href="style.css" />
    </head>
    <body>
        <nav><?php include('menu.inc.php'); ?></nav>
        <main>
            <h2>Kunden</h2>
            <?php if (isset($_SESSION['user'])) { ?>
                <table>
                    <tr>
                        <th>Anschrift</th>
                        <th>Kontakt</th>
                        <th>SupportRep</th>
                        <th>Bibliothek</th>
                        <th>Rechnungen</th>
                    </tr>
                    <?php foreach ($data as $value) { ?>
                        <tr>
                            <td>
                                <strong><?= $value['LastName'] ?>, <?= $value['FirstName'] ?></strong><br/>
                                <?= $value['Company'] ?><?= !empty($value['Company']) ? "<br/>" : "" ?>
                                <?= $value['Address'] ?><br/><br/>
                            </td>
                            <td>
                                <address>
                                    Phone: <a href="tel:<?= $value['Phone'] ?>"><?= $value['Phone'] ?></a><br/>
                                    Fax: <a href="tel:<?= $value['Fax'] ?>"><?= $value['Fax'] ?></a><br/>
                                    Email: <a href="mailto:<?= $value['Email'] ?>"><?= $value['Email'] ?></a><br/>
                                </address>
                            </td>
                            <td><a href="employees.php?id=<?= $value['SupportRepId'] ?>"><?= $value['SupportRep'] ?></td>
                            <td><a href="customerLibrary.php?customerID=<?= $value['CustomerId'] ?>">Bibliothek</td>
                            <td><a href="invoices.php?customerID=<?= $value['CustomerId'] ?>"><?= $value['invoiceCount'] ?> Rechnungen</a><br/>insg. <?= $value['invoiceTotal'] ?> €</td>
                        </tr>
                    <?php } ?>
                </table>
            <?php } else { ?>
                Bitte <a href="login.php">anmelden</a>!
            <?php } ?>
        </main>
    </body>
</html>